[arch-commits] Commit in mongodb/repos (28 files)
Felix Yan
fyan at nymeria.archlinux.org
Wed Mar 20 16:46:34 UTC 2013
Date: Wednesday, March 20, 2013 @ 17:46:34
Author: fyan
Revision: 86606
archrelease: copy trunk to community-testing-i686, community-testing-x86_64
Added:
mongodb/repos/community-testing-i686/PKGBUILD
(from rev 86605, mongodb/trunk/PKGBUILD)
mongodb/repos/community-testing-i686/SConscript.client.patch
(from rev 86605, mongodb/trunk/SConscript.client.patch)
mongodb/repos/community-testing-i686/mongodb.conf
(from rev 86605, mongodb/trunk/mongodb.conf)
mongodb/repos/community-testing-i686/mongodb.install
(from rev 86605, mongodb/trunk/mongodb.install)
mongodb/repos/community-testing-i686/mongodb.rc
(from rev 86605, mongodb/trunk/mongodb.rc)
mongodb/repos/community-testing-i686/mongodb.service
(from rev 86605, mongodb/trunk/mongodb.service)
mongodb/repos/community-testing-i686/removeWerror.patch
(from rev 86605, mongodb/trunk/removeWerror.patch)
mongodb/repos/community-testing-x86_64/PKGBUILD
(from rev 86605, mongodb/trunk/PKGBUILD)
mongodb/repos/community-testing-x86_64/SConscript.client.patch
(from rev 86605, mongodb/trunk/SConscript.client.patch)
mongodb/repos/community-testing-x86_64/mongodb.conf
(from rev 86605, mongodb/trunk/mongodb.conf)
mongodb/repos/community-testing-x86_64/mongodb.install
(from rev 86605, mongodb/trunk/mongodb.install)
mongodb/repos/community-testing-x86_64/mongodb.rc
(from rev 86605, mongodb/trunk/mongodb.rc)
mongodb/repos/community-testing-x86_64/mongodb.service
(from rev 86605, mongodb/trunk/mongodb.service)
mongodb/repos/community-testing-x86_64/removeWerror.patch
(from rev 86605, mongodb/trunk/removeWerror.patch)
Deleted:
mongodb/repos/community-testing-i686/PKGBUILD
mongodb/repos/community-testing-i686/SConscript.client.patch
mongodb/repos/community-testing-i686/mongodb.conf
mongodb/repos/community-testing-i686/mongodb.install
mongodb/repos/community-testing-i686/mongodb.rc
mongodb/repos/community-testing-i686/mongodb.service
mongodb/repos/community-testing-i686/removeWerror.patch
mongodb/repos/community-testing-x86_64/PKGBUILD
mongodb/repos/community-testing-x86_64/SConscript.client.patch
mongodb/repos/community-testing-x86_64/mongodb.conf
mongodb/repos/community-testing-x86_64/mongodb.install
mongodb/repos/community-testing-x86_64/mongodb.rc
mongodb/repos/community-testing-x86_64/mongodb.service
mongodb/repos/community-testing-x86_64/removeWerror.patch
--------------------------------------------------+
/PKGBUILD | 142 +++++++++++++++++++++
/SConscript.client.patch | 26 +++
/mongodb.conf | 16 ++
/mongodb.install | 64 +++++++++
/mongodb.rc | 78 +++++++++++
/mongodb.service | 20 ++
/removeWerror.patch | 22 +++
community-testing-i686/PKGBUILD | 71 ----------
community-testing-i686/SConscript.client.patch | 13 -
community-testing-i686/mongodb.conf | 8 -
community-testing-i686/mongodb.install | 32 ----
community-testing-i686/mongodb.rc | 39 -----
community-testing-i686/mongodb.service | 10 -
community-testing-i686/removeWerror.patch | 11 -
community-testing-x86_64/PKGBUILD | 71 ----------
community-testing-x86_64/SConscript.client.patch | 13 -
community-testing-x86_64/mongodb.conf | 8 -
community-testing-x86_64/mongodb.install | 32 ----
community-testing-x86_64/mongodb.rc | 39 -----
community-testing-x86_64/mongodb.service | 10 -
community-testing-x86_64/removeWerror.patch | 11 -
21 files changed, 368 insertions(+), 368 deletions(-)
Deleted: community-testing-i686/PKGBUILD
===================================================================
--- community-testing-i686/PKGBUILD 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/PKGBUILD 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,71 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Mathias Stearn <mathias at 10gen.com>
-# Contributor: Alec Thomas
-
-pkgname=mongodb
-pkgver=2.4.0
-pkgrel=1
-pkgdesc='A high-performance, open source, schema-free document-oriented database'
-arch=('i686' 'x86_64')
-url='http://www.mongodb.org'
-license=('AGPL3')
-depends=('boost-libs')
-makedepends=('scons' 'boost' 'libpcap')
-checkdepends=('python2-pymongo')
-optdepends=('libpcap: needed for mongosniff')
-backup=('etc/mongodb.conf')
-install=mongodb.install
-source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
- 'mongodb.conf' 'mongodb.service' 'SConscript.client.patch'
- 'removeWerror.patch')
-
-build() {
- # fucking mongo aint no fun to package
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- # fix https://jira.mongodb.org/browse/SERVER-5575
- patch -Np1 -i ${srcdir}/SConscript.client.patch
-
- # failed to build with -Werror since 2.4.0
- patch -Np1 -i "$srcdir/removeWerror.patch"
-
- scons all --use-system-boost # --sharedclient currently fails
-}
-
-<<COMMENT
-check() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons smokeAll --smokedbprefix=$srcdir
-}
-COMMENT
-
-package() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons install --use-system-boost --full --prefix=$pkgdir/usr # --sharedclient currently fails
-
- install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
- [[ -f "$pkgdir/usr/lib" ]] && rm "$pkgdir/usr/lib" # wtf mongo
- install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
- install -dm700 "$pkgdir/var/lib/mongodb"
- install -dm755 "$pkgdir/var/log/mongodb"
-
- # the earlier SConscript patch actually gives us some trouble on x86_64 so we need to hack it out again
- mv ${pkgdir}/usr/lib64/libmongoclient.a ${pkgdir}/usr/lib/ || true
- rm -r ${pkgdir}/usr/lib64 || true
-}
-md5sums=('a028b3c9e335bd56001598923dc8eff2'
- '4839fe1d638187ca3226e8267b947318'
- '96ab4517b48974ce0e566d9746a75a4f'
- 'a9529e2a6e392ffecef7a9178394c814'
- 'c980ebfe46df6dc87f4b3380af69a6cc')
Copied: mongodb/repos/community-testing-i686/PKGBUILD (from rev 86605, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD (rev 0)
+++ community-testing-i686/PKGBUILD 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.4.0
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('boost-libs')
+makedepends=('scons' 'boost' 'libpcap')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+ 'mongodb.conf' 'mongodb.service' 'SConscript.client.patch'
+ 'removeWerror.patch')
+
+build() {
+ # fucking mongo aint no fun to package
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ # fix https://jira.mongodb.org/browse/SERVER-5575
+ patch -Np1 -i ${srcdir}/SConscript.client.patch
+
+ # failed to build with -Werror since 2.4.0
+ patch -Np1 -i "$srcdir/removeWerror.patch"
+
+ scons all --use-system-boost # --sharedclient currently fails
+}
+
+<<COMMENT
+check() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons smokeAll --smokedbprefix=$srcdir
+}
+COMMENT
+
+package() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons install --use-system-boost --full --prefix=$pkgdir/usr # --sharedclient currently fails
+
+ install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+ [[ -f "$pkgdir/usr/lib" ]] && rm "$pkgdir/usr/lib" # wtf mongo
+ install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+ install -dm700 "$pkgdir/var/lib/mongodb"
+ install -dm755 "$pkgdir/var/log/mongodb"
+
+ # the earlier SConscript patch actually gives us some trouble on x86_64 so we need to hack it out again
+ mv ${pkgdir}/usr/lib64/libmongoclient.a ${pkgdir}/usr/lib/ || true
+ rm -r ${pkgdir}/usr/lib64 || true
+}
+md5sums=('a028b3c9e335bd56001598923dc8eff2'
+ '4839fe1d638187ca3226e8267b947318'
+ '96ab4517b48974ce0e566d9746a75a4f'
+ 'a9529e2a6e392ffecef7a9178394c814'
+ 'c980ebfe46df6dc87f4b3380af69a6cc')
Deleted: community-testing-i686/SConscript.client.patch
===================================================================
--- community-testing-i686/SConscript.client.patch 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/SConscript.client.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,13 +0,0 @@
-diff --git a/src/SConscript.client b/src/SConscript.client
-index 7a6bdc9..3fb55e5 100644
---- a/src/SConscript.client
-+++ b/src/SConscript.client
-@@ -134,7 +134,7 @@ env.Install(
- # install
- prefix = GetOption("prefix")
-
--env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
-+env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
-
- for x in clientHeaderDirectories:
- env.Install(prefix + "/include/mongo/" + x,
Copied: mongodb/repos/community-testing-i686/SConscript.client.patch (from rev 86605, mongodb/trunk/SConscript.client.patch)
===================================================================
--- community-testing-i686/SConscript.client.patch (rev 0)
+++ community-testing-i686/SConscript.client.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,13 @@
+diff --git a/src/SConscript.client b/src/SConscript.client
+index 7a6bdc9..3fb55e5 100644
+--- a/src/SConscript.client
++++ b/src/SConscript.client
+@@ -134,7 +134,7 @@ env.Install(
+ # install
+ prefix = GetOption("prefix")
+
+-env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
++env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
+
+ for x in clientHeaderDirectories:
+ env.Install(prefix + "/include/mongo/" + x,
Deleted: community-testing-i686/mongodb.conf
===================================================================
--- community-testing-i686/mongodb.conf 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/mongodb.conf 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,8 +0,0 @@
-# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
-# Run mongod --help to see a list of options
-
-bind_ip = 127.0.0.1
-quiet = true
-dbpath = /var/lib/mongodb
-logpath = /var/log/mongodb/mongod.log
-logappend = true
Copied: mongodb/repos/community-testing-i686/mongodb.conf (from rev 86605, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-i686/mongodb.conf (rev 0)
+++ community-testing-i686/mongodb.conf 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true
Deleted: community-testing-i686/mongodb.install
===================================================================
--- community-testing-i686/mongodb.install 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/mongodb.install 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,32 +0,0 @@
-# vim: syntax=sh
-
-post_install() {
- useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(uname -m)" != "x86_64" ]
- then
- echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
- echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
- fi
-}
-
-post_upgrade() {
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
- then
- # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
- # added july 5th, 2011
- usermod -s /bin/bash mongodb >& /dev/null
- echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
- echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
- echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
- fi
-}
-
-pre_remove() {
- userdel mongodb
-}
Copied: mongodb/repos/community-testing-i686/mongodb.install (from rev 86605, mongodb/trunk/mongodb.install)
===================================================================
--- community-testing-i686/mongodb.install (rev 0)
+++ community-testing-i686/mongodb.install 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+ useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(uname -m)" != "x86_64" ]
+ then
+ echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+ echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+ fi
+}
+
+post_upgrade() {
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+ then
+ # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+ # added july 5th, 2011
+ usermod -s /bin/bash mongodb >& /dev/null
+ echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+ echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+ echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+ fi
+}
+
+pre_remove() {
+ userdel mongodb
+}
Deleted: community-testing-i686/mongodb.rc
===================================================================
--- community-testing-i686/mongodb.rc 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/mongodb.rc 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,39 +0,0 @@
-#!/bin/bash
-# vim: syntax=sh
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-PID=$(pidof /usr/bin/mongod)
-case "$1" in
- start)
- stat_busy "Starting mongodb"
- [ -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --fork" > /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- add_daemon mongodb
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping mongodb"
- [ ! -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --shutdown" &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon mongodb
- while [ ! -z "$(pidof /usr/bin/mongod)" ]; do
- sleep 1;
- done
- stat_done
- fi
- ;;
- restart)
- $0 stop
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
Copied: mongodb/repos/community-testing-i686/mongodb.rc (from rev 86605, mongodb/trunk/mongodb.rc)
===================================================================
--- community-testing-i686/mongodb.rc (rev 0)
+++ community-testing-i686/mongodb.rc 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,39 @@
+#!/bin/bash
+# vim: syntax=sh
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof /usr/bin/mongod)
+case "$1" in
+ start)
+ stat_busy "Starting mongodb"
+ [ -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --fork" > /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon mongodb
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping mongodb"
+ [ ! -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --shutdown" &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mongodb
+ while [ ! -z "$(pidof /usr/bin/mongod)" ]; do
+ sleep 1;
+ done
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
Deleted: community-testing-i686/mongodb.service
===================================================================
--- community-testing-i686/mongodb.service 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/mongodb.service 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,10 +0,0 @@
-[Unit]
-Description=High-performance, schema-free document-oriented database
-After=network.target
-
-[Service]
-User=mongodb
-ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
-
-[Install]
-WantedBy=multi-user.target
Copied: mongodb/repos/community-testing-i686/mongodb.service (from rev 86605, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-i686/mongodb.service (rev 0)
+++ community-testing-i686/mongodb.service 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target
Deleted: community-testing-i686/removeWerror.patch
===================================================================
--- community-testing-i686/removeWerror.patch 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-i686/removeWerror.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,11 +0,0 @@
---- a/SConstruct 2013-03-16 02:59:55.000000000 +0800
-+++ b/SConstruct 2013-03-20 10:55:20.009645869 +0800
-@@ -692,7 +692,7 @@
- "-Winvalid-pch"] )
- # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
- if linux:
-- env.Append( CCFLAGS=["-Werror", "-pipe"] )
-+ env.Append( CCFLAGS=["-pipe"] )
- if not has_option('clang'):
- env.Append( CCFLAGS=["-fno-builtin-memcmp"] ) # glibc's memcmp is faster than gcc's
-
Copied: mongodb/repos/community-testing-i686/removeWerror.patch (from rev 86605, mongodb/trunk/removeWerror.patch)
===================================================================
--- community-testing-i686/removeWerror.patch (rev 0)
+++ community-testing-i686/removeWerror.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,11 @@
+--- a/SConstruct 2013-03-16 02:59:55.000000000 +0800
++++ b/SConstruct 2013-03-20 10:55:20.009645869 +0800
+@@ -692,7 +692,7 @@
+ "-Winvalid-pch"] )
+ # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
+ if linux:
+- env.Append( CCFLAGS=["-Werror", "-pipe"] )
++ env.Append( CCFLAGS=["-pipe"] )
+ if not has_option('clang'):
+ env.Append( CCFLAGS=["-fno-builtin-memcmp"] ) # glibc's memcmp is faster than gcc's
+
Deleted: community-testing-x86_64/PKGBUILD
===================================================================
--- community-testing-x86_64/PKGBUILD 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/PKGBUILD 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,71 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at gmail.com>
-# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
-# Contributor: Thomas Dziedzic < gostrc at gmail >
-# Contributor: Mathias Stearn <mathias at 10gen.com>
-# Contributor: Alec Thomas
-
-pkgname=mongodb
-pkgver=2.4.0
-pkgrel=1
-pkgdesc='A high-performance, open source, schema-free document-oriented database'
-arch=('i686' 'x86_64')
-url='http://www.mongodb.org'
-license=('AGPL3')
-depends=('boost-libs')
-makedepends=('scons' 'boost' 'libpcap')
-checkdepends=('python2-pymongo')
-optdepends=('libpcap: needed for mongosniff')
-backup=('etc/mongodb.conf')
-install=mongodb.install
-source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
- 'mongodb.conf' 'mongodb.service' 'SConscript.client.patch'
- 'removeWerror.patch')
-
-build() {
- # fucking mongo aint no fun to package
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- # fix https://jira.mongodb.org/browse/SERVER-5575
- patch -Np1 -i ${srcdir}/SConscript.client.patch
-
- # failed to build with -Werror since 2.4.0
- patch -Np1 -i "$srcdir/removeWerror.patch"
-
- scons all --use-system-boost # --sharedclient currently fails
-}
-
-<<COMMENT
-check() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons smokeAll --smokedbprefix=$srcdir
-}
-COMMENT
-
-package() {
- export SCONSFLAGS="$MAKEFLAGS"
-
- cd mongodb-src-r${pkgver}
-
- scons install --use-system-boost --full --prefix=$pkgdir/usr # --sharedclient currently fails
-
- install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
- [[ -f "$pkgdir/usr/lib" ]] && rm "$pkgdir/usr/lib" # wtf mongo
- install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
- install -dm700 "$pkgdir/var/lib/mongodb"
- install -dm755 "$pkgdir/var/log/mongodb"
-
- # the earlier SConscript patch actually gives us some trouble on x86_64 so we need to hack it out again
- mv ${pkgdir}/usr/lib64/libmongoclient.a ${pkgdir}/usr/lib/ || true
- rm -r ${pkgdir}/usr/lib64 || true
-}
-md5sums=('a028b3c9e335bd56001598923dc8eff2'
- '4839fe1d638187ca3226e8267b947318'
- '96ab4517b48974ce0e566d9746a75a4f'
- 'a9529e2a6e392ffecef7a9178394c814'
- 'c980ebfe46df6dc87f4b3380af69a6cc')
Copied: mongodb/repos/community-testing-x86_64/PKGBUILD (from rev 86605, mongodb/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD (rev 0)
+++ community-testing-x86_64/PKGBUILD 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,71 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+# Contributor: Sven-Hendrik Haase <sh at lutzhaase.com>
+# Contributor: Thomas Dziedzic < gostrc at gmail >
+# Contributor: Mathias Stearn <mathias at 10gen.com>
+# Contributor: Alec Thomas
+
+pkgname=mongodb
+pkgver=2.4.0
+pkgrel=1
+pkgdesc='A high-performance, open source, schema-free document-oriented database'
+arch=('i686' 'x86_64')
+url='http://www.mongodb.org'
+license=('AGPL3')
+depends=('boost-libs')
+makedepends=('scons' 'boost' 'libpcap')
+checkdepends=('python2-pymongo')
+optdepends=('libpcap: needed for mongosniff')
+backup=('etc/mongodb.conf')
+install=mongodb.install
+source=("http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz"
+ 'mongodb.conf' 'mongodb.service' 'SConscript.client.patch'
+ 'removeWerror.patch')
+
+build() {
+ # fucking mongo aint no fun to package
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ # fix https://jira.mongodb.org/browse/SERVER-5575
+ patch -Np1 -i ${srcdir}/SConscript.client.patch
+
+ # failed to build with -Werror since 2.4.0
+ patch -Np1 -i "$srcdir/removeWerror.patch"
+
+ scons all --use-system-boost # --sharedclient currently fails
+}
+
+<<COMMENT
+check() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons smokeAll --smokedbprefix=$srcdir
+}
+COMMENT
+
+package() {
+ export SCONSFLAGS="$MAKEFLAGS"
+
+ cd mongodb-src-r${pkgver}
+
+ scons install --use-system-boost --full --prefix=$pkgdir/usr # --sharedclient currently fails
+
+ install -Dm644 "$srcdir/mongodb.conf" "$pkgdir/etc/mongodb.conf"
+ [[ -f "$pkgdir/usr/lib" ]] && rm "$pkgdir/usr/lib" # wtf mongo
+ install -Dm644 "$srcdir/mongodb.service" "$pkgdir/usr/lib/systemd/system/mongodb.service"
+ install -dm700 "$pkgdir/var/lib/mongodb"
+ install -dm755 "$pkgdir/var/log/mongodb"
+
+ # the earlier SConscript patch actually gives us some trouble on x86_64 so we need to hack it out again
+ mv ${pkgdir}/usr/lib64/libmongoclient.a ${pkgdir}/usr/lib/ || true
+ rm -r ${pkgdir}/usr/lib64 || true
+}
+md5sums=('a028b3c9e335bd56001598923dc8eff2'
+ '4839fe1d638187ca3226e8267b947318'
+ '96ab4517b48974ce0e566d9746a75a4f'
+ 'a9529e2a6e392ffecef7a9178394c814'
+ 'c980ebfe46df6dc87f4b3380af69a6cc')
Deleted: community-testing-x86_64/SConscript.client.patch
===================================================================
--- community-testing-x86_64/SConscript.client.patch 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/SConscript.client.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,13 +0,0 @@
-diff --git a/src/SConscript.client b/src/SConscript.client
-index 7a6bdc9..3fb55e5 100644
---- a/src/SConscript.client
-+++ b/src/SConscript.client
-@@ -134,7 +134,7 @@ env.Install(
- # install
- prefix = GetOption("prefix")
-
--env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
-+env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
-
- for x in clientHeaderDirectories:
- env.Install(prefix + "/include/mongo/" + x,
Copied: mongodb/repos/community-testing-x86_64/SConscript.client.patch (from rev 86605, mongodb/trunk/SConscript.client.patch)
===================================================================
--- community-testing-x86_64/SConscript.client.patch (rev 0)
+++ community-testing-x86_64/SConscript.client.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,13 @@
+diff --git a/src/SConscript.client b/src/SConscript.client
+index 7a6bdc9..3fb55e5 100644
+--- a/src/SConscript.client
++++ b/src/SConscript.client
+@@ -134,7 +134,7 @@ env.Install(
+ # install
+ prefix = GetOption("prefix")
+
+-env.Install(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
++env.InstallAs(prefix + "/lib", '${LIBPREFIX}mongoclient${LIBSUFFIX}')
+
+ for x in clientHeaderDirectories:
+ env.Install(prefix + "/include/mongo/" + x,
Deleted: community-testing-x86_64/mongodb.conf
===================================================================
--- community-testing-x86_64/mongodb.conf 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/mongodb.conf 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,8 +0,0 @@
-# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
-# Run mongod --help to see a list of options
-
-bind_ip = 127.0.0.1
-quiet = true
-dbpath = /var/lib/mongodb
-logpath = /var/log/mongodb/mongod.log
-logappend = true
Copied: mongodb/repos/community-testing-x86_64/mongodb.conf (from rev 86605, mongodb/trunk/mongodb.conf)
===================================================================
--- community-testing-x86_64/mongodb.conf (rev 0)
+++ community-testing-x86_64/mongodb.conf 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,8 @@
+# See http://www.mongodb.org/display/DOCS/File+Based+Configuration for format details
+# Run mongod --help to see a list of options
+
+bind_ip = 127.0.0.1
+quiet = true
+dbpath = /var/lib/mongodb
+logpath = /var/log/mongodb/mongod.log
+logappend = true
Deleted: community-testing-x86_64/mongodb.install
===================================================================
--- community-testing-x86_64/mongodb.install 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/mongodb.install 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,32 +0,0 @@
-# vim: syntax=sh
-
-post_install() {
- useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(uname -m)" != "x86_64" ]
- then
- echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
- echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
- fi
-}
-
-post_upgrade() {
- chown -R mongodb:daemon /var/lib/mongodb
- chown -R mongodb:daemon /var/log/mongodb
-
- if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
- then
- # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
- # added july 5th, 2011
- usermod -s /bin/bash mongodb >& /dev/null
- echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
- echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
- echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
- fi
-}
-
-pre_remove() {
- userdel mongodb
-}
Copied: mongodb/repos/community-testing-x86_64/mongodb.install (from rev 86605, mongodb/trunk/mongodb.install)
===================================================================
--- community-testing-x86_64/mongodb.install (rev 0)
+++ community-testing-x86_64/mongodb.install 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,32 @@
+# vim: syntax=sh
+
+post_install() {
+ useradd -r -g daemon -d /var/lib/mongodb -s /bin/bash mongodb
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(uname -m)" != "x86_64" ]
+ then
+ echo '==> Warning: the 32 bit version of MongoDB is limited to about 2GB of data.'
+ echo '==> See http://blog.mongodb.org/post/137788967/32-bit-limitations'
+ fi
+}
+
+post_upgrade() {
+ chown -R mongodb:daemon /var/lib/mongodb
+ chown -R mongodb:daemon /var/log/mongodb
+
+ if [ "$(vercmp $2 1.8.2-3)" -lt 0 ]
+ then
+ # have to fix my fudge up in 1.8.2-2 and 1.8.2-3
+ # added july 5th, 2011
+ usermod -s /bin/bash mongodb >& /dev/null
+ echo 'The dbpath has changed from /var/state/mongodb to /var/lib/mongodb'
+ echo 'Make sure you move your data files to the new dbpath before you start/restart mongodb'
+ echo 'The logpath has changed from /var/log/mongod to /var/log/mongodb/mongod.log'
+ fi
+}
+
+pre_remove() {
+ userdel mongodb
+}
Deleted: community-testing-x86_64/mongodb.rc
===================================================================
--- community-testing-x86_64/mongodb.rc 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/mongodb.rc 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,39 +0,0 @@
-#!/bin/bash
-# vim: syntax=sh
-
-. /etc/rc.conf
-. /etc/rc.d/functions
-
-PID=$(pidof /usr/bin/mongod)
-case "$1" in
- start)
- stat_busy "Starting mongodb"
- [ -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --fork" > /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- add_daemon mongodb
- stat_done
- fi
- ;;
- stop)
- stat_busy "Stopping mongodb"
- [ ! -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --shutdown" &> /dev/null
- if [ $? -gt 0 ]; then
- stat_fail
- else
- rm_daemon mongodb
- while [ ! -z "$(pidof /usr/bin/mongod)" ]; do
- sleep 1;
- done
- stat_done
- fi
- ;;
- restart)
- $0 stop
- $0 start
- ;;
- *)
- echo "usage: $0 {start|stop|restart}"
-esac
-exit 0
Copied: mongodb/repos/community-testing-x86_64/mongodb.rc (from rev 86605, mongodb/trunk/mongodb.rc)
===================================================================
--- community-testing-x86_64/mongodb.rc (rev 0)
+++ community-testing-x86_64/mongodb.rc 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,39 @@
+#!/bin/bash
+# vim: syntax=sh
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof /usr/bin/mongod)
+case "$1" in
+ start)
+ stat_busy "Starting mongodb"
+ [ -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --fork" > /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon mongodb
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping mongodb"
+ [ ! -z "$PID" ] && /bin/su mongodb -c "/usr/bin/mongod --config /etc/mongodb.conf --shutdown" &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mongodb
+ while [ ! -z "$(pidof /usr/bin/mongod)" ]; do
+ sleep 1;
+ done
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
Deleted: community-testing-x86_64/mongodb.service
===================================================================
--- community-testing-x86_64/mongodb.service 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/mongodb.service 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,10 +0,0 @@
-[Unit]
-Description=High-performance, schema-free document-oriented database
-After=network.target
-
-[Service]
-User=mongodb
-ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
-
-[Install]
-WantedBy=multi-user.target
Copied: mongodb/repos/community-testing-x86_64/mongodb.service (from rev 86605, mongodb/trunk/mongodb.service)
===================================================================
--- community-testing-x86_64/mongodb.service (rev 0)
+++ community-testing-x86_64/mongodb.service 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,10 @@
+[Unit]
+Description=High-performance, schema-free document-oriented database
+After=network.target
+
+[Service]
+User=mongodb
+ExecStart=/usr/bin/mongod --quiet --config /etc/mongodb.conf
+
+[Install]
+WantedBy=multi-user.target
Deleted: community-testing-x86_64/removeWerror.patch
===================================================================
--- community-testing-x86_64/removeWerror.patch 2013-03-20 15:17:37 UTC (rev 86605)
+++ community-testing-x86_64/removeWerror.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -1,11 +0,0 @@
---- a/SConstruct 2013-03-16 02:59:55.000000000 +0800
-+++ b/SConstruct 2013-03-20 10:55:20.009645869 +0800
-@@ -692,7 +692,7 @@
- "-Winvalid-pch"] )
- # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
- if linux:
-- env.Append( CCFLAGS=["-Werror", "-pipe"] )
-+ env.Append( CCFLAGS=["-pipe"] )
- if not has_option('clang'):
- env.Append( CCFLAGS=["-fno-builtin-memcmp"] ) # glibc's memcmp is faster than gcc's
-
Copied: mongodb/repos/community-testing-x86_64/removeWerror.patch (from rev 86605, mongodb/trunk/removeWerror.patch)
===================================================================
--- community-testing-x86_64/removeWerror.patch (rev 0)
+++ community-testing-x86_64/removeWerror.patch 2013-03-20 16:46:34 UTC (rev 86606)
@@ -0,0 +1,11 @@
+--- a/SConstruct 2013-03-16 02:59:55.000000000 +0800
++++ b/SConstruct 2013-03-20 10:55:20.009645869 +0800
+@@ -692,7 +692,7 @@
+ "-Winvalid-pch"] )
+ # env.Append( " -Wconversion" ) TODO: this doesn't really work yet
+ if linux:
+- env.Append( CCFLAGS=["-Werror", "-pipe"] )
++ env.Append( CCFLAGS=["-pipe"] )
+ if not has_option('clang'):
+ env.Append( CCFLAGS=["-fno-builtin-memcmp"] ) # glibc's memcmp is faster than gcc's
+
More information about the arch-commits
mailing list